---
title: OrientationSensor.quaternion
slug: Web/API/OrientationSensor/quaternion
tags:
  - API
  - Generic Sensor API
  - Orientation Sensor API
  - OrientationSensor
  - Property
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>quaternion</code></strong> read-only property of the {{domxref("OrientationSensor")}} interface returns a four element {{jsxref('Array')}} whose elements contain the components of the unit {{Glossary("quaternion")}} representing the device's orientation. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>quaternion</var> = <var>orientationInstance</var>.quaternion</pre>

<p>Because {{domxref('OrientationSensor')}} is a base class, <code>quaternion</code> may only be read from one of its derived classes.</p>

<h3 id="Value">Value</h3>

<p>A {{jsxref('Array')}} whose values are the x, y, z, and w components of the quaternion representing the device orientation.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Orientation Sensor','#orientationsensor-quaternion','quaternion')}}</td>
   <td>{{Spec2('Orientation Sensor')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.OrientationSensor.quaternion")}}</p>
